/*
 * generated by Xtext
 */
package fr.irit.fiacre.etoile.xtext.ui.contentassist.antlr;

import java.util.Collection;
import java.util.Map;
import java.util.HashMap;

import org.antlr.runtime.RecognitionException;
import org.eclipse.xtext.AbstractElement;
import org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser;
import org.eclipse.xtext.ui.editor.contentassist.antlr.FollowElement;
import org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser;

import com.google.inject.Inject;

import fr.irit.fiacre.etoile.xtext.services.FiacreGrammarAccess;

public class FiacreParser extends AbstractContentAssistParser {
	
	@Inject
	private FiacreGrammarAccess grammarAccess;
	
	private Map<AbstractElement, String> nameMappings;
	
	@Override
	protected fr.irit.fiacre.etoile.xtext.ui.contentassist.antlr.internal.InternalFiacreParser createParser() {
		fr.irit.fiacre.etoile.xtext.ui.contentassist.antlr.internal.InternalFiacreParser result = new fr.irit.fiacre.etoile.xtext.ui.contentassist.antlr.internal.InternalFiacreParser(null);
		result.setGrammarAccess(grammarAccess);
		return result;
	}
	
	@Override
	protected String getRuleName(AbstractElement element) {
		if (nameMappings == null) {
			nameMappings = new HashMap<AbstractElement, String>() {
				private static final long serialVersionUID = 1L;
				{
					put(grammarAccess.getModelAccess().getAlternatives_2(), "rule__Model__Alternatives_2");
					put(grammarAccess.getModelAccess().getAlternatives_3_1(), "rule__Model__Alternatives_3_1");
					put(grammarAccess.getRootDeclarationAccess().getAlternatives(), "rule__RootDeclaration__Alternatives");
					put(grammarAccess.getNamedElementAccess().getAlternatives(), "rule__NamedElement__Alternatives");
					put(grammarAccess.getTypeDeclarationUseAccess().getAlternatives(), "rule__TypeDeclarationUse__Alternatives");
					put(grammarAccess.getConstantDeclarationUseAccess().getAlternatives(), "rule__ConstantDeclarationUse__Alternatives");
					put(grammarAccess.getExpressionDeclarationUseAccess().getAlternatives(), "rule__ExpressionDeclarationUse__Alternatives");
					put(grammarAccess.getReferenceDeclarationUseAccess().getAlternatives(), "rule__ReferenceDeclarationUse__Alternatives");
					put(grammarAccess.getUnionTagDeclarationUseAccess().getAlternatives(), "rule__UnionTagDeclarationUse__Alternatives");
					put(grammarAccess.getRecordFieldDeclarationUseAccess().getAlternatives(), "rule__RecordFieldDeclarationUse__Alternatives");
					put(grammarAccess.getPatternDeclarationUseAccess().getAlternatives(), "rule__PatternDeclarationUse__Alternatives");
					put(grammarAccess.getBoundDeclarationUseAccess().getAlternatives(), "rule__BoundDeclarationUse__Alternatives");
					put(grammarAccess.getPathDeclarationUseAccess().getAlternatives(), "rule__PathDeclarationUse__Alternatives");
					put(grammarAccess.getDeclarationAccess().getAlternatives(), "rule__Declaration__Alternatives");
					put(grammarAccess.getParameterizedDeclarationAccess().getAlternatives(), "rule__ParameterizedDeclaration__Alternatives");
					put(grammarAccess.getChannelTypeAccess().getAlternatives_2(), "rule__ChannelType__Alternatives_2");
					put(grammarAccess.getChannelTypeAccess().getAlternatives_2_0_0(), "rule__ChannelType__Alternatives_2_0_0");
					put(grammarAccess.getChannelTypeAccess().getAlternatives_2_0_1(), "rule__ChannelType__Alternatives_2_0_1");
					put(grammarAccess.getTypeAccess().getAlternatives(), "rule__Type__Alternatives");
					put(grammarAccess.getBasicTypeAccess().getAlternatives(), "rule__BasicType__Alternatives");
					put(grammarAccess.getRangeTypeAccess().getAlternatives_2(), "rule__RangeType__Alternatives_2");
					put(grammarAccess.getGenericDeclarationAccess().getAlternatives(), "rule__GenericDeclaration__Alternatives");
					put(grammarAccess.getGenericDeclarationAccess().getAlternatives_2_0(), "rule__GenericDeclaration__Alternatives_2_0");
					put(grammarAccess.getStatementAccess().getAlternatives(), "rule__Statement__Alternatives");
					put(grammarAccess.getPatternStatementAccess().getAlternatives_1(), "rule__PatternStatement__Alternatives_1");
					put(grammarAccess.getPatternAccess().getAlternatives(), "rule__Pattern__Alternatives");
					put(grammarAccess.getIntegerPatternAccess().getAlternatives_0(), "rule__IntegerPattern__Alternatives_0");
					put(grammarAccess.getIdentifierPatternAccess().getAlternatives(), "rule__IdentifierPattern__Alternatives");
					put(grammarAccess.getIdentifierPatternAccess().getAlternatives_1_1(), "rule__IdentifierPattern__Alternatives_1_1");
					put(grammarAccess.getBlockAccess().getAlternatives(), "rule__Block__Alternatives");
					put(grammarAccess.getBlockAccess().getAlternatives_0_2(), "rule__Block__Alternatives_0_2");
					put(grammarAccess.getBlockAccess().getAlternatives_1_1(), "rule__Block__Alternatives_1_1");
					put(grammarAccess.getPortSetAccess().getAlternatives(), "rule__PortSet__Alternatives");
					put(grammarAccess.getGenericInstanceAccess().getAlternatives(), "rule__GenericInstance__Alternatives");
					put(grammarAccess.getConstantInstanceAccess().getAlternatives_1(), "rule__ConstantInstance__Alternatives_1");
					put(grammarAccess.getUnionTagInstanceAccess().getAlternatives_0(), "rule__UnionTagInstance__Alternatives_0");
					put(grammarAccess.getQuantifiedExpressionAccess().getAlternatives(), "rule__QuantifiedExpression__Alternatives");
					put(grammarAccess.getQuantifiedExpressionAccess().getAlternatives_0_0(), "rule__QuantifiedExpression__Alternatives_0_0");
					put(grammarAccess.getComparisonAccess().getAlternatives_1_0(), "rule__Comparison__Alternatives_1_0");
					put(grammarAccess.getUnaryExpressionAccess().getAlternatives(), "rule__UnaryExpression__Alternatives");
					put(grammarAccess.getUnaryExpressionAccess().getAlternatives_0_0(), "rule__UnaryExpression__Alternatives_0_0");
					put(grammarAccess.getAtomicExpressionAccess().getAlternatives(), "rule__AtomicExpression__Alternatives");
					put(grammarAccess.getIdentifierExpressionAccess().getAlternatives(), "rule__IdentifierExpression__Alternatives");
					put(grammarAccess.getIdentifierExpressionAccess().getAlternatives_0_1(), "rule__IdentifierExpression__Alternatives_0_1");
					put(grammarAccess.getArrayExpressionAccess().getAlternatives_2(), "rule__ArrayExpression__Alternatives_2");
					put(grammarAccess.getLiteralExpressionAccess().getAlternatives(), "rule__LiteralExpression__Alternatives");
					put(grammarAccess.getBooleanLiteralAccess().getAlternatives(), "rule__BooleanLiteral__Alternatives");
					put(grammarAccess.getLowerBoundAccess().getAlternatives(), "rule__LowerBound__Alternatives");
					put(grammarAccess.getUpperBoundAccess().getAlternatives(), "rule__UpperBound__Alternatives");
					put(grammarAccess.getNaturalLowerBoundAccess().getAlternatives_0(), "rule__NaturalLowerBound__Alternatives_0");
					put(grammarAccess.getNaturalUpperBoundAccess().getAlternatives_1(), "rule__NaturalUpperBound__Alternatives_1");
					put(grammarAccess.getDecimalLowerBoundAccess().getAlternatives_0(), "rule__DecimalLowerBound__Alternatives_0");
					put(grammarAccess.getDecimalUpperBoundAccess().getAlternatives_1(), "rule__DecimalUpperBound__Alternatives_1");
					put(grammarAccess.getVariableLowerBoundAccess().getAlternatives_0(), "rule__VariableLowerBound__Alternatives_0");
					put(grammarAccess.getVariableUpperBoundAccess().getAlternatives_1(), "rule__VariableUpperBound__Alternatives_1");
					put(grammarAccess.getQuantifiedPropertyAccess().getAlternatives(), "rule__QuantifiedProperty__Alternatives");
					put(grammarAccess.getQuantifiedPropertyAccess().getAlternatives_0_0(), "rule__QuantifiedProperty__Alternatives_0_0");
					put(grammarAccess.getPropertyNegationAccess().getAlternatives(), "rule__PropertyNegation__Alternatives");
					put(grammarAccess.getAtomicPropertyAccess().getAlternatives(), "rule__AtomicProperty__Alternatives");
					put(grammarAccess.getPatternPropertyAccess().getAlternatives(), "rule__PatternProperty__Alternatives");
					put(grammarAccess.getPresencePatternAccess().getAlternatives_2(), "rule__PresencePattern__Alternatives_2");
					put(grammarAccess.getPresencePatternAccess().getAlternatives_2_1_1(), "rule__PresencePattern__Alternatives_2_1_1");
					put(grammarAccess.getAbsencePatternAccess().getAlternatives_2(), "rule__AbsencePattern__Alternatives_2");
					put(grammarAccess.getAbsencePatternAccess().getAlternatives_2_0_1(), "rule__AbsencePattern__Alternatives_2_0_1");
					put(grammarAccess.getAlwaysPatternAccess().getAlternatives_2(), "rule__AlwaysPattern__Alternatives_2");
					put(grammarAccess.getSequencePatternAccess().getAlternatives_1(), "rule__SequencePattern__Alternatives_1");
					put(grammarAccess.getSequencePatternAccess().getAlternatives_1_0_3(), "rule__SequencePattern__Alternatives_1_0_3");
					put(grammarAccess.getSequencePatternAccess().getAlternatives_1_0_3_2_2(), "rule__SequencePattern__Alternatives_1_0_3_2_2");
					put(grammarAccess.getSequencePatternAccess().getAlternatives_1_1_3(), "rule__SequencePattern__Alternatives_1_1_3");
					put(grammarAccess.getLTLQuantifiedAccess().getAlternatives(), "rule__LTLQuantified__Alternatives");
					put(grammarAccess.getLTLQuantifiedAccess().getAlternatives_0_0(), "rule__LTLQuantified__Alternatives_0_0");
					put(grammarAccess.getLTLBinaryAccess().getAlternatives_1(), "rule__LTLBinary__Alternatives_1");
					put(grammarAccess.getLTLUnaryAccess().getAlternatives(), "rule__LTLUnary__Alternatives");
					put(grammarAccess.getLTLUnaryAccess().getAlternatives_0_0(), "rule__LTLUnary__Alternatives_0_0");
					put(grammarAccess.getAtomicLTLAccess().getAlternatives(), "rule__AtomicLTL__Alternatives");
					put(grammarAccess.getStateEventAccess().getAlternatives(), "rule__StateEvent__Alternatives");
					put(grammarAccess.getObservableNegationAccess().getAlternatives(), "rule__ObservableNegation__Alternatives");
					put(grammarAccess.getAtomicObservableAccess().getAlternatives(), "rule__AtomicObservable__Alternatives");
					put(grammarAccess.getObservableEventAccess().getAlternatives(), "rule__ObservableEvent__Alternatives");
					put(grammarAccess.getPathItemAccess().getAlternatives(), "rule__PathItem__Alternatives");
					put(grammarAccess.getSubjectAccess().getAlternatives(), "rule__Subject__Alternatives");
					put(grammarAccess.getModelAccess().getGroup(), "rule__Model__Group__0");
					put(grammarAccess.getModelAccess().getGroup_3(), "rule__Model__Group_3__0");
					put(grammarAccess.getImportDeclarationAccess().getGroup(), "rule__ImportDeclaration__Group__0");
					put(grammarAccess.getTypeDeclarationAccess().getGroup(), "rule__TypeDeclaration__Group__0");
					put(grammarAccess.getChannelDeclarationAccess().getGroup(), "rule__ChannelDeclaration__Group__0");
					put(grammarAccess.getChannelTypeAccess().getGroup(), "rule__ChannelType__Group__0");
					put(grammarAccess.getChannelTypeAccess().getGroup_1(), "rule__ChannelType__Group_1__0");
					put(grammarAccess.getChannelTypeAccess().getGroup_2_0(), "rule__ChannelType__Group_2_0__0");
					put(grammarAccess.getChannelTypeAccess().getGroup_2_0_0_0(), "rule__ChannelType__Group_2_0_0_0__0");
					put(grammarAccess.getTupleTypeAccess().getGroup(), "rule__TupleType__Group__0");
					put(grammarAccess.getTupleTypeAccess().getGroup_1(), "rule__TupleType__Group_1__0");
					put(grammarAccess.getBasicTypeAccess().getGroup_0(), "rule__BasicType__Group_0__0");
					put(grammarAccess.getBasicTypeAccess().getGroup_1(), "rule__BasicType__Group_1__0");
					put(grammarAccess.getBasicTypeAccess().getGroup_2(), "rule__BasicType__Group_2__0");
					put(grammarAccess.getRangeTypeAccess().getGroup(), "rule__RangeType__Group__0");
					put(grammarAccess.getRangeTypeAccess().getGroup_2_0(), "rule__RangeType__Group_2_0__0");
					put(grammarAccess.getRangeTypeAccess().getGroup_2_1(), "rule__RangeType__Group_2_1__0");
					put(grammarAccess.getUnionTypeAccess().getGroup(), "rule__UnionType__Group__0");
					put(grammarAccess.getUnionTypeAccess().getGroup_2(), "rule__UnionType__Group_2__0");
					put(grammarAccess.getUnionTagsAccess().getGroup(), "rule__UnionTags__Group__0");
					put(grammarAccess.getUnionTagsAccess().getGroup_1(), "rule__UnionTags__Group_1__0");
					put(grammarAccess.getUnionTagsAccess().getGroup_2(), "rule__UnionTags__Group_2__0");
					put(grammarAccess.getRecordTypeAccess().getGroup(), "rule__RecordType__Group__0");
					put(grammarAccess.getRecordTypeAccess().getGroup_2(), "rule__RecordType__Group_2__0");
					put(grammarAccess.getRecordFieldsAccess().getGroup(), "rule__RecordFields__Group__0");
					put(grammarAccess.getRecordFieldsAccess().getGroup_1(), "rule__RecordFields__Group_1__0");
					put(grammarAccess.getQueueTypeAccess().getGroup(), "rule__QueueType__Group__0");
					put(grammarAccess.getArrayTypeAccess().getGroup(), "rule__ArrayType__Group__0");
					put(grammarAccess.getConstantDeclarationAccess().getGroup(), "rule__ConstantDeclaration__Group__0");
					put(grammarAccess.getProcessDeclarationAccess().getGroup(), "rule__ProcessDeclaration__Group__0");
					put(grammarAccess.getProcessDeclarationAccess().getGroup_2(), "rule__ProcessDeclaration__Group_2__0");
					put(grammarAccess.getProcessDeclarationAccess().getGroup_2_2(), "rule__ProcessDeclaration__Group_2_2__0");
					put(grammarAccess.getProcessDeclarationAccess().getGroup_3(), "rule__ProcessDeclaration__Group_3__0");
					put(grammarAccess.getProcessDeclarationAccess().getGroup_3_2(), "rule__ProcessDeclaration__Group_3_2__0");
					put(grammarAccess.getProcessDeclarationAccess().getGroup_4(), "rule__ProcessDeclaration__Group_4__0");
					put(grammarAccess.getProcessDeclarationAccess().getGroup_4_2(), "rule__ProcessDeclaration__Group_4_2__0");
					put(grammarAccess.getProcessDeclarationAccess().getGroup_6(), "rule__ProcessDeclaration__Group_6__0");
					put(grammarAccess.getProcessDeclarationAccess().getGroup_6_2(), "rule__ProcessDeclaration__Group_6_2__0");
					put(grammarAccess.getProcessDeclarationAccess().getGroup_7(), "rule__ProcessDeclaration__Group_7__0");
					put(grammarAccess.getProcessDeclarationAccess().getGroup_7_2(), "rule__ProcessDeclaration__Group_7_2__0");
					put(grammarAccess.getProcessDeclarationAccess().getGroup_10(), "rule__ProcessDeclaration__Group_10__0");
					put(grammarAccess.getProcessDeclarationAccess().getGroup_11(), "rule__ProcessDeclaration__Group_11__0");
					put(grammarAccess.getProcessDeclarationAccess().getGroup_11_2(), "rule__ProcessDeclaration__Group_11_2__0");
					put(grammarAccess.getProcessDeclarationAccess().getGroup_12(), "rule__ProcessDeclaration__Group_12__0");
					put(grammarAccess.getGenericDeclarationAccess().getGroup_0(), "rule__GenericDeclaration__Group_0__0");
					put(grammarAccess.getGenericDeclarationAccess().getGroup_1(), "rule__GenericDeclaration__Group_1__0");
					put(grammarAccess.getGenericDeclarationAccess().getGroup_2(), "rule__GenericDeclaration__Group_2__0");
					put(grammarAccess.getGenericDeclarationAccess().getGroup_3(), "rule__GenericDeclaration__Group_3__0");
					put(grammarAccess.getTransitionAccess().getGroup(), "rule__Transition__Group__0");
					put(grammarAccess.getComponentDeclarationAccess().getGroup(), "rule__ComponentDeclaration__Group__0");
					put(grammarAccess.getComponentDeclarationAccess().getGroup_2(), "rule__ComponentDeclaration__Group_2__0");
					put(grammarAccess.getComponentDeclarationAccess().getGroup_2_2(), "rule__ComponentDeclaration__Group_2_2__0");
					put(grammarAccess.getComponentDeclarationAccess().getGroup_3(), "rule__ComponentDeclaration__Group_3__0");
					put(grammarAccess.getComponentDeclarationAccess().getGroup_3_2(), "rule__ComponentDeclaration__Group_3_2__0");
					put(grammarAccess.getComponentDeclarationAccess().getGroup_4(), "rule__ComponentDeclaration__Group_4__0");
					put(grammarAccess.getComponentDeclarationAccess().getGroup_4_2(), "rule__ComponentDeclaration__Group_4_2__0");
					put(grammarAccess.getComponentDeclarationAccess().getGroup_6(), "rule__ComponentDeclaration__Group_6__0");
					put(grammarAccess.getComponentDeclarationAccess().getGroup_6_2(), "rule__ComponentDeclaration__Group_6_2__0");
					put(grammarAccess.getComponentDeclarationAccess().getGroup_7(), "rule__ComponentDeclaration__Group_7__0");
					put(grammarAccess.getComponentDeclarationAccess().getGroup_7_2(), "rule__ComponentDeclaration__Group_7_2__0");
					put(grammarAccess.getComponentDeclarationAccess().getGroup_8(), "rule__ComponentDeclaration__Group_8__0");
					put(grammarAccess.getComponentDeclarationAccess().getGroup_8_2(), "rule__ComponentDeclaration__Group_8_2__0");
					put(grammarAccess.getComponentDeclarationAccess().getGroup_9(), "rule__ComponentDeclaration__Group_9__0");
					put(grammarAccess.getPortsDeclarationAccess().getGroup(), "rule__PortsDeclaration__Group__0");
					put(grammarAccess.getPortsDeclarationAccess().getGroup_1(), "rule__PortsDeclaration__Group_1__0");
					put(grammarAccess.getLocalPortsDeclarationAccess().getGroup(), "rule__LocalPortsDeclaration__Group__0");
					put(grammarAccess.getLocalPortsDeclarationAccess().getGroup_1(), "rule__LocalPortsDeclaration__Group_1__0");
					put(grammarAccess.getLocalPortsDeclarationAccess().getGroup_4(), "rule__LocalPortsDeclaration__Group_4__0");
					put(grammarAccess.getParametersDeclarationAccess().getGroup(), "rule__ParametersDeclaration__Group__0");
					put(grammarAccess.getParametersDeclarationAccess().getGroup_1(), "rule__ParametersDeclaration__Group_1__0");
					put(grammarAccess.getParameterDeclarationAccess().getGroup(), "rule__ParameterDeclaration__Group__0");
					put(grammarAccess.getParameterDeclarationAccess().getGroup_0(), "rule__ParameterDeclaration__Group_0__0");
					put(grammarAccess.getParameterDeclarationAccess().getGroup_0_1(), "rule__ParameterDeclaration__Group_0_1__0");
					put(grammarAccess.getVariablesDeclarationAccess().getGroup(), "rule__VariablesDeclaration__Group__0");
					put(grammarAccess.getVariablesDeclarationAccess().getGroup_1(), "rule__VariablesDeclaration__Group_1__0");
					put(grammarAccess.getVariablesDeclarationAccess().getGroup_4(), "rule__VariablesDeclaration__Group_4__0");
					put(grammarAccess.getPriorityDeclarationAccess().getGroup(), "rule__PriorityDeclaration__Group__0");
					put(grammarAccess.getPriorityDeclarationAccess().getGroup_1(), "rule__PriorityDeclaration__Group_1__0");
					put(grammarAccess.getPriorityGroupAccess().getGroup(), "rule__PriorityGroup__Group__0");
					put(grammarAccess.getPriorityGroupAccess().getGroup_1(), "rule__PriorityGroup__Group_1__0");
					put(grammarAccess.getUnlessStatementAccess().getGroup(), "rule__UnlessStatement__Group__0");
					put(grammarAccess.getUnlessStatementAccess().getGroup_1(), "rule__UnlessStatement__Group_1__0");
					put(grammarAccess.getStatementChoiceAccess().getGroup(), "rule__StatementChoice__Group__0");
					put(grammarAccess.getStatementChoiceAccess().getGroup_1(), "rule__StatementChoice__Group_1__0");
					put(grammarAccess.getStatementSequenceAccess().getGroup(), "rule__StatementSequence__Group__0");
					put(grammarAccess.getStatementSequenceAccess().getGroup_1(), "rule__StatementSequence__Group_1__0");
					put(grammarAccess.getNullStatementAccess().getGroup(), "rule__NullStatement__Group__0");
					put(grammarAccess.getTaggedStatementAccess().getGroup(), "rule__TaggedStatement__Group__0");
					put(grammarAccess.getPatternStatementAccess().getGroup(), "rule__PatternStatement__Group__0");
					put(grammarAccess.getPatternStatementAccess().getGroup_1_0(), "rule__PatternStatement__Group_1_0__0");
					put(grammarAccess.getPatternStatementAccess().getGroup_1_0_3(), "rule__PatternStatement__Group_1_0_3__0");
					put(grammarAccess.getPatternStatementAccess().getGroup_1_0_6(), "rule__PatternStatement__Group_1_0_6__0");
					put(grammarAccess.getPatternStatementAccess().getGroup_1_1(), "rule__PatternStatement__Group_1_1__0");
					put(grammarAccess.getPatternStatementAccess().getGroup_1_1_3(), "rule__PatternStatement__Group_1_1_3__0");
					put(grammarAccess.getPatternStatementAccess().getGroup_1_2(), "rule__PatternStatement__Group_1_2__0");
					put(grammarAccess.getPatternStatementAccess().getGroup_1_2_3(), "rule__PatternStatement__Group_1_2_3__0");
					put(grammarAccess.getPatternStatementAccess().getGroup_1_3(), "rule__PatternStatement__Group_1_3__0");
					put(grammarAccess.getPatternStatementAccess().getGroup_1_3_3(), "rule__PatternStatement__Group_1_3_3__0");
					put(grammarAccess.getPatternStatementAccess().getGroup_1_3_4(), "rule__PatternStatement__Group_1_3_4__0");
					put(grammarAccess.getPatternAccess().getGroup_3(), "rule__Pattern__Group_3__0");
					put(grammarAccess.getAnyPatternAccess().getGroup(), "rule__AnyPattern__Group__0");
					put(grammarAccess.getIntegerPatternAccess().getGroup(), "rule__IntegerPattern__Group__0");
					put(grammarAccess.getIdentifierPatternAccess().getGroup_0(), "rule__IdentifierPattern__Group_0__0");
					put(grammarAccess.getIdentifierPatternAccess().getGroup_1(), "rule__IdentifierPattern__Group_1__0");
					put(grammarAccess.getIdentifierPatternAccess().getGroup_1_1_0(), "rule__IdentifierPattern__Group_1_1_0__0");
					put(grammarAccess.getIdentifierPatternAccess().getGroup_1_1_1(), "rule__IdentifierPattern__Group_1_1_1__0");
					put(grammarAccess.getConditionalStatementAccess().getGroup(), "rule__ConditionalStatement__Group__0");
					put(grammarAccess.getConditionalStatementAccess().getGroup_5(), "rule__ConditionalStatement__Group_5__0");
					put(grammarAccess.getExtendedConditionalStatementAccess().getGroup(), "rule__ExtendedConditionalStatement__Group__0");
					put(grammarAccess.getSelectStatementAccess().getGroup(), "rule__SelectStatement__Group__0");
					put(grammarAccess.getSelectStatementAccess().getGroup_2(), "rule__SelectStatement__Group_2__0");
					put(grammarAccess.getWhileStatementAccess().getGroup(), "rule__WhileStatement__Group__0");
					put(grammarAccess.getForeachStatementAccess().getGroup(), "rule__ForeachStatement__Group__0");
					put(grammarAccess.getToStatementAccess().getGroup(), "rule__ToStatement__Group__0");
					put(grammarAccess.getCaseStatementAccess().getGroup(), "rule__CaseStatement__Group__0");
					put(grammarAccess.getCaseStatementAccess().getGroup_6(), "rule__CaseStatement__Group_6__0");
					put(grammarAccess.getLoopStatementAccess().getGroup(), "rule__LoopStatement__Group__0");
					put(grammarAccess.getOnStatementAccess().getGroup(), "rule__OnStatement__Group__0");
					put(grammarAccess.getWaitStatementAccess().getGroup(), "rule__WaitStatement__Group__0");
					put(grammarAccess.getCompositionAccess().getGroup(), "rule__Composition__Group__0");
					put(grammarAccess.getCompositionAccess().getGroup_1(), "rule__Composition__Group_1__0");
					put(grammarAccess.getCompositionAccess().getGroup_3(), "rule__Composition__Group_3__0");
					put(grammarAccess.getCompositionAccess().getGroup_4(), "rule__Composition__Group_4__0");
					put(grammarAccess.getBlockAccess().getGroup_0(), "rule__Block__Group_0__0");
					put(grammarAccess.getBlockAccess().getGroup_0_2_0(), "rule__Block__Group_0_2_0__0");
					put(grammarAccess.getBlockAccess().getGroup_0_2_1(), "rule__Block__Group_0_2_1__0");
					put(grammarAccess.getBlockAccess().getGroup_0_2_1_1(), "rule__Block__Group_0_2_1_1__0");
					put(grammarAccess.getBlockAccess().getGroup_1(), "rule__Block__Group_1__0");
					put(grammarAccess.getInstanceDeclarationAccess().getGroup(), "rule__InstanceDeclaration__Group__0");
					put(grammarAccess.getInstanceDeclarationAccess().getGroup_0(), "rule__InstanceDeclaration__Group_0__0");
					put(grammarAccess.getPortSetAccess().getGroup_1(), "rule__PortSet__Group_1__0");
					put(grammarAccess.getPortSetAccess().getGroup_1_1(), "rule__PortSet__Group_1_1__0");
					put(grammarAccess.getComponentInstanceAccess().getGroup(), "rule__ComponentInstance__Group__0");
					put(grammarAccess.getComponentInstanceAccess().getGroup_1(), "rule__ComponentInstance__Group_1__0");
					put(grammarAccess.getComponentInstanceAccess().getGroup_1_2(), "rule__ComponentInstance__Group_1_2__0");
					put(grammarAccess.getComponentInstanceAccess().getGroup_2(), "rule__ComponentInstance__Group_2__0");
					put(grammarAccess.getComponentInstanceAccess().getGroup_2_2(), "rule__ComponentInstance__Group_2_2__0");
					put(grammarAccess.getComponentInstanceAccess().getGroup_3(), "rule__ComponentInstance__Group_3__0");
					put(grammarAccess.getComponentInstanceAccess().getGroup_3_2(), "rule__ComponentInstance__Group_3_2__0");
					put(grammarAccess.getTypeInstanceAccess().getGroup(), "rule__TypeInstance__Group__0");
					put(grammarAccess.getConstantInstanceAccess().getGroup(), "rule__ConstantInstance__Group__0");
					put(grammarAccess.getUnionTagInstanceAccess().getGroup(), "rule__UnionTagInstance__Group__0");
					put(grammarAccess.getRecordFieldInstanceAccess().getGroup(), "rule__RecordFieldInstance__Group__0");
					put(grammarAccess.getQuantifiedExpressionAccess().getGroup_0(), "rule__QuantifiedExpression__Group_0__0");
					put(grammarAccess.getQuantifiedExpressionAccess().getGroup_0_0_0(), "rule__QuantifiedExpression__Group_0_0_0__0");
					put(grammarAccess.getQuantifiedExpressionAccess().getGroup_0_0_1(), "rule__QuantifiedExpression__Group_0_0_1__0");
					put(grammarAccess.getQuantifiedExpressionAccess().getGroup_0_2(), "rule__QuantifiedExpression__Group_0_2__0");
					put(grammarAccess.getConditionalAccess().getGroup(), "rule__Conditional__Group__0");
					put(grammarAccess.getConditionalAccess().getGroup_1(), "rule__Conditional__Group_1__0");
					put(grammarAccess.getDisjunctionAccess().getGroup(), "rule__Disjunction__Group__0");
					put(grammarAccess.getDisjunctionAccess().getGroup_1(), "rule__Disjunction__Group_1__0");
					put(grammarAccess.getImplicationAccess().getGroup(), "rule__Implication__Group__0");
					put(grammarAccess.getImplicationAccess().getGroup_1(), "rule__Implication__Group_1__0");
					put(grammarAccess.getConjunctionAccess().getGroup(), "rule__Conjunction__Group__0");
					put(grammarAccess.getConjunctionAccess().getGroup_1(), "rule__Conjunction__Group_1__0");
					put(grammarAccess.getComparisonAccess().getGroup(), "rule__Comparison__Group__0");
					put(grammarAccess.getComparisonAccess().getGroup_1(), "rule__Comparison__Group_1__0");
					put(grammarAccess.getComparisonAccess().getGroup_1_0_0(), "rule__Comparison__Group_1_0_0__0");
					put(grammarAccess.getComparisonAccess().getGroup_1_0_1(), "rule__Comparison__Group_1_0_1__0");
					put(grammarAccess.getComparisonAccess().getGroup_1_0_2(), "rule__Comparison__Group_1_0_2__0");
					put(grammarAccess.getComparisonAccess().getGroup_1_0_3(), "rule__Comparison__Group_1_0_3__0");
					put(grammarAccess.getComparisonAccess().getGroup_1_0_4(), "rule__Comparison__Group_1_0_4__0");
					put(grammarAccess.getComparisonAccess().getGroup_1_0_5(), "rule__Comparison__Group_1_0_5__0");
					put(grammarAccess.getAdditionAccess().getGroup(), "rule__Addition__Group__0");
					put(grammarAccess.getAdditionAccess().getGroup_1(), "rule__Addition__Group_1__0");
					put(grammarAccess.getSubstractionAccess().getGroup(), "rule__Substraction__Group__0");
					put(grammarAccess.getSubstractionAccess().getGroup_1(), "rule__Substraction__Group_1__0");
					put(grammarAccess.getMultiplicationAccess().getGroup(), "rule__Multiplication__Group__0");
					put(grammarAccess.getMultiplicationAccess().getGroup_1(), "rule__Multiplication__Group_1__0");
					put(grammarAccess.getDivisionAccess().getGroup(), "rule__Division__Group__0");
					put(grammarAccess.getDivisionAccess().getGroup_1(), "rule__Division__Group_1__0");
					put(grammarAccess.getModuloAccess().getGroup(), "rule__Modulo__Group__0");
					put(grammarAccess.getModuloAccess().getGroup_1(), "rule__Modulo__Group_1__0");
					put(grammarAccess.getUnaryExpressionAccess().getGroup_0(), "rule__UnaryExpression__Group_0__0");
					put(grammarAccess.getUnaryExpressionAccess().getGroup_0_0_0(), "rule__UnaryExpression__Group_0_0_0__0");
					put(grammarAccess.getUnaryExpressionAccess().getGroup_0_0_1(), "rule__UnaryExpression__Group_0_0_1__0");
					put(grammarAccess.getUnaryExpressionAccess().getGroup_0_0_2(), "rule__UnaryExpression__Group_0_0_2__0");
					put(grammarAccess.getUnaryExpressionAccess().getGroup_0_0_3(), "rule__UnaryExpression__Group_0_0_3__0");
					put(grammarAccess.getUnaryExpressionAccess().getGroup_0_0_4(), "rule__UnaryExpression__Group_0_0_4__0");
					put(grammarAccess.getUnaryExpressionAccess().getGroup_0_0_5(), "rule__UnaryExpression__Group_0_0_5__0");
					put(grammarAccess.getUnaryExpressionAccess().getGroup_0_0_6(), "rule__UnaryExpression__Group_0_0_6__0");
					put(grammarAccess.getUnaryExpressionAccess().getGroup_0_0_7(), "rule__UnaryExpression__Group_0_0_7__0");
					put(grammarAccess.getUnaryExpressionAccess().getGroup_0_0_8(), "rule__UnaryExpression__Group_0_0_8__0");
					put(grammarAccess.getProjectionAccess().getGroup(), "rule__Projection__Group__0");
					put(grammarAccess.getProjectionAccess().getGroup_1(), "rule__Projection__Group_1__0");
					put(grammarAccess.getAtomicExpressionAccess().getGroup_8(), "rule__AtomicExpression__Group_8__0");
					put(grammarAccess.getReferenceExpressionAccess().getGroup(), "rule__ReferenceExpression__Group__0");
					put(grammarAccess.getIdentifierExpressionAccess().getGroup_0(), "rule__IdentifierExpression__Group_0__0");
					put(grammarAccess.getIdentifierExpressionAccess().getGroup_0_1_0(), "rule__IdentifierExpression__Group_0_1_0__0");
					put(grammarAccess.getIdentifierExpressionAccess().getGroup_0_1_0_3(), "rule__IdentifierExpression__Group_0_1_0_3__0");
					put(grammarAccess.getIdentifierExpressionAccess().getGroup_0_1_1(), "rule__IdentifierExpression__Group_0_1_1__0");
					put(grammarAccess.getIdentifierExpressionAccess().getGroup_1(), "rule__IdentifierExpression__Group_1__0");
					put(grammarAccess.getRecordExpressionAccess().getGroup(), "rule__RecordExpression__Group__0");
					put(grammarAccess.getRecordExpressionAccess().getGroup_2(), "rule__RecordExpression__Group_2__0");
					put(grammarAccess.getFieldExpressionAccess().getGroup(), "rule__FieldExpression__Group__0");
					put(grammarAccess.getArrayExpressionAccess().getGroup(), "rule__ArrayExpression__Group__0");
					put(grammarAccess.getArrayExpressionAccess().getGroup_2_0(), "rule__ArrayExpression__Group_2_0__0");
					put(grammarAccess.getArrayExpressionAccess().getGroup_2_0_1(), "rule__ArrayExpression__Group_2_0_1__0");
					put(grammarAccess.getArrayExpressionAccess().getGroup_2_1(), "rule__ArrayExpression__Group_2_1__0");
					put(grammarAccess.getQueueExpressionAccess().getGroup(), "rule__QueueExpression__Group__0");
					put(grammarAccess.getQueueExpressionAccess().getGroup_2(), "rule__QueueExpression__Group_2__0");
					put(grammarAccess.getQueueExpressionAccess().getGroup_2_1(), "rule__QueueExpression__Group_2_1__0");
					put(grammarAccess.getEnqueueExpressionAccess().getGroup(), "rule__EnqueueExpression__Group__0");
					put(grammarAccess.getAppendExpressionAccess().getGroup(), "rule__AppendExpression__Group__0");
					put(grammarAccess.getBooleanLiteralAccess().getGroup_0(), "rule__BooleanLiteral__Group_0__0");
					put(grammarAccess.getBooleanLiteralAccess().getGroup_1(), "rule__BooleanLiteral__Group_1__0");
					put(grammarAccess.getNaturalLowerBoundAccess().getGroup(), "rule__NaturalLowerBound__Group__0");
					put(grammarAccess.getNaturalUpperBoundAccess().getGroup(), "rule__NaturalUpperBound__Group__0");
					put(grammarAccess.getDecimalLowerBoundAccess().getGroup(), "rule__DecimalLowerBound__Group__0");
					put(grammarAccess.getDecimalUpperBoundAccess().getGroup(), "rule__DecimalUpperBound__Group__0");
					put(grammarAccess.getVariableLowerBoundAccess().getGroup(), "rule__VariableLowerBound__Group__0");
					put(grammarAccess.getVariableUpperBoundAccess().getGroup(), "rule__VariableUpperBound__Group__0");
					put(grammarAccess.getInfiniteUpperBoundAccess().getGroup(), "rule__InfiniteUpperBound__Group__0");
					put(grammarAccess.getRequirementAccess().getGroup(), "rule__Requirement__Group__0");
					put(grammarAccess.getRequirementAccess().getGroup_2(), "rule__Requirement__Group_2__0");
					put(grammarAccess.getRequirementAccess().getGroup_3(), "rule__Requirement__Group_3__0");
					put(grammarAccess.getPropertyDeclarationAccess().getGroup(), "rule__PropertyDeclaration__Group__0");
					put(grammarAccess.getQuantifiedPropertyAccess().getGroup_0(), "rule__QuantifiedProperty__Group_0__0");
					put(grammarAccess.getQuantifiedPropertyAccess().getGroup_0_0_0(), "rule__QuantifiedProperty__Group_0_0_0__0");
					put(grammarAccess.getQuantifiedPropertyAccess().getGroup_0_0_1(), "rule__QuantifiedProperty__Group_0_0_1__0");
					put(grammarAccess.getPropertyDisjunctionAccess().getGroup(), "rule__PropertyDisjunction__Group__0");
					put(grammarAccess.getPropertyDisjunctionAccess().getGroup_1(), "rule__PropertyDisjunction__Group_1__0");
					put(grammarAccess.getPropertyImplicationAccess().getGroup(), "rule__PropertyImplication__Group__0");
					put(grammarAccess.getPropertyImplicationAccess().getGroup_1(), "rule__PropertyImplication__Group_1__0");
					put(grammarAccess.getPropertyConjunctionAccess().getGroup(), "rule__PropertyConjunction__Group__0");
					put(grammarAccess.getPropertyConjunctionAccess().getGroup_1(), "rule__PropertyConjunction__Group_1__0");
					put(grammarAccess.getPropertyNegationAccess().getGroup_0(), "rule__PropertyNegation__Group_0__0");
					put(grammarAccess.getAtomicPropertyAccess().getGroup_0(), "rule__AtomicProperty__Group_0__0");
					put(grammarAccess.getAtomicPropertyAccess().getGroup_1(), "rule__AtomicProperty__Group_1__0");
					put(grammarAccess.getLTLPatternAccess().getGroup(), "rule__LTLPattern__Group__0");
					put(grammarAccess.getDeadlockFreePatternAccess().getGroup(), "rule__DeadlockFreePattern__Group__0");
					put(grammarAccess.getInfinitelyOftenPatternAccess().getGroup(), "rule__InfinitelyOftenPattern__Group__0");
					put(grammarAccess.getMortalPatternAccess().getGroup(), "rule__MortalPattern__Group__0");
					put(grammarAccess.getPresencePatternAccess().getGroup(), "rule__PresencePattern__Group__0");
					put(grammarAccess.getPresencePatternAccess().getGroup_2_0(), "rule__PresencePattern__Group_2_0__0");
					put(grammarAccess.getPresencePatternAccess().getGroup_2_1(), "rule__PresencePattern__Group_2_1__0");
					put(grammarAccess.getPresencePatternAccess().getGroup_2_1_0(), "rule__PresencePattern__Group_2_1_0__0");
					put(grammarAccess.getPresencePatternAccess().getGroup_2_1_1_0(), "rule__PresencePattern__Group_2_1_1_0__0");
					put(grammarAccess.getPresencePatternAccess().getGroup_2_1_1_1(), "rule__PresencePattern__Group_2_1_1_1__0");
					put(grammarAccess.getPresencePatternAccess().getGroup_2_2(), "rule__PresencePattern__Group_2_2__0");
					put(grammarAccess.getPresencePatternAccess().getGroup_2_2_0(), "rule__PresencePattern__Group_2_2_0__0");
					put(grammarAccess.getPresencePatternAccess().getGroup_2_2_1(), "rule__PresencePattern__Group_2_2_1__0");
					put(grammarAccess.getPresencePatternAccess().getGroup_2_3(), "rule__PresencePattern__Group_2_3__0");
					put(grammarAccess.getAbsencePatternAccess().getGroup(), "rule__AbsencePattern__Group__0");
					put(grammarAccess.getAbsencePatternAccess().getGroup_2_0(), "rule__AbsencePattern__Group_2_0__0");
					put(grammarAccess.getAbsencePatternAccess().getGroup_2_0_0(), "rule__AbsencePattern__Group_2_0_0__0");
					put(grammarAccess.getAbsencePatternAccess().getGroup_2_0_1_0(), "rule__AbsencePattern__Group_2_0_1_0__0");
					put(grammarAccess.getAbsencePatternAccess().getGroup_2_0_1_1(), "rule__AbsencePattern__Group_2_0_1_1__0");
					put(grammarAccess.getAbsencePatternAccess().getGroup_2_1(), "rule__AbsencePattern__Group_2_1__0");
					put(grammarAccess.getAbsencePatternAccess().getGroup_2_1_0(), "rule__AbsencePattern__Group_2_1_0__0");
					put(grammarAccess.getAbsencePatternAccess().getGroup_2_1_1(), "rule__AbsencePattern__Group_2_1_1__0");
					put(grammarAccess.getAbsencePatternAccess().getGroup_2_2(), "rule__AbsencePattern__Group_2_2__0");
					put(grammarAccess.getAlwaysPatternAccess().getGroup(), "rule__AlwaysPattern__Group__0");
					put(grammarAccess.getAlwaysPatternAccess().getGroup_2_0(), "rule__AlwaysPattern__Group_2_0__0");
					put(grammarAccess.getAlwaysPatternAccess().getGroup_2_1(), "rule__AlwaysPattern__Group_2_1__0");
					put(grammarAccess.getAlwaysPatternAccess().getGroup_2_1_2(), "rule__AlwaysPattern__Group_2_1_2__0");
					put(grammarAccess.getAlwaysPatternAccess().getGroup_2_2(), "rule__AlwaysPattern__Group_2_2__0");
					put(grammarAccess.getSequencePatternAccess().getGroup(), "rule__SequencePattern__Group__0");
					put(grammarAccess.getSequencePatternAccess().getGroup_1_0(), "rule__SequencePattern__Group_1_0__0");
					put(grammarAccess.getSequencePatternAccess().getGroup_1_0_3_0(), "rule__SequencePattern__Group_1_0_3_0__0");
					put(grammarAccess.getSequencePatternAccess().getGroup_1_0_3_0_2(), "rule__SequencePattern__Group_1_0_3_0_2__0");
					put(grammarAccess.getSequencePatternAccess().getGroup_1_0_3_1(), "rule__SequencePattern__Group_1_0_3_1__0");
					put(grammarAccess.getSequencePatternAccess().getGroup_1_0_3_2(), "rule__SequencePattern__Group_1_0_3_2__0");
					put(grammarAccess.getSequencePatternAccess().getGroup_1_0_3_2_2_0(), "rule__SequencePattern__Group_1_0_3_2_2_0__0");
					put(grammarAccess.getSequencePatternAccess().getGroup_1_0_3_2_2_1(), "rule__SequencePattern__Group_1_0_3_2_2_1__0");
					put(grammarAccess.getSequencePatternAccess().getGroup_1_0_3_3(), "rule__SequencePattern__Group_1_0_3_3__0");
					put(grammarAccess.getSequencePatternAccess().getGroup_1_1(), "rule__SequencePattern__Group_1_1__0");
					put(grammarAccess.getSequencePatternAccess().getGroup_1_1_3_0(), "rule__SequencePattern__Group_1_1_3_0__0");
					put(grammarAccess.getSequencePatternAccess().getGroup_1_1_3_1(), "rule__SequencePattern__Group_1_1_3_1__0");
					put(grammarAccess.getSequencePatternAccess().getGroup_1_1_3_1_2(), "rule__SequencePattern__Group_1_1_3_1_2__0");
					put(grammarAccess.getSequencePatternAccess().getGroup_1_1_3_2(), "rule__SequencePattern__Group_1_1_3_2__0");
					put(grammarAccess.getLTLQuantifiedAccess().getGroup_0(), "rule__LTLQuantified__Group_0__0");
					put(grammarAccess.getLTLQuantifiedAccess().getGroup_0_0_0(), "rule__LTLQuantified__Group_0_0_0__0");
					put(grammarAccess.getLTLQuantifiedAccess().getGroup_0_0_1(), "rule__LTLQuantified__Group_0_0_1__0");
					put(grammarAccess.getLTLDisjunctionAccess().getGroup(), "rule__LTLDisjunction__Group__0");
					put(grammarAccess.getLTLDisjunctionAccess().getGroup_1(), "rule__LTLDisjunction__Group_1__0");
					put(grammarAccess.getLTLImplicationAccess().getGroup(), "rule__LTLImplication__Group__0");
					put(grammarAccess.getLTLImplicationAccess().getGroup_1(), "rule__LTLImplication__Group_1__0");
					put(grammarAccess.getLTLConjunctionAccess().getGroup(), "rule__LTLConjunction__Group__0");
					put(grammarAccess.getLTLConjunctionAccess().getGroup_1(), "rule__LTLConjunction__Group_1__0");
					put(grammarAccess.getLTLBinaryAccess().getGroup(), "rule__LTLBinary__Group__0");
					put(grammarAccess.getLTLBinaryAccess().getGroup_1_0(), "rule__LTLBinary__Group_1_0__0");
					put(grammarAccess.getLTLBinaryAccess().getGroup_1_1(), "rule__LTLBinary__Group_1_1__0");
					put(grammarAccess.getLTLUnaryAccess().getGroup_0(), "rule__LTLUnary__Group_0__0");
					put(grammarAccess.getLTLUnaryAccess().getGroup_0_0_0(), "rule__LTLUnary__Group_0_0_0__0");
					put(grammarAccess.getLTLUnaryAccess().getGroup_0_0_1(), "rule__LTLUnary__Group_0_0_1__0");
					put(grammarAccess.getLTLUnaryAccess().getGroup_0_0_2(), "rule__LTLUnary__Group_0_0_2__0");
					put(grammarAccess.getLTLUnaryAccess().getGroup_0_0_3(), "rule__LTLUnary__Group_0_0_3__0");
					put(grammarAccess.getAtomicLTLAccess().getGroup_0(), "rule__AtomicLTL__Group_0__0");
					put(grammarAccess.getAtomicLTLAccess().getGroup_2(), "rule__AtomicLTL__Group_2__0");
					put(grammarAccess.getEnterStateEventAccess().getGroup(), "rule__EnterStateEvent__Group__0");
					put(grammarAccess.getLeaveStateEventAccess().getGroup(), "rule__LeaveStateEvent__Group__0");
					put(grammarAccess.getObservableDisjunctionAccess().getGroup(), "rule__ObservableDisjunction__Group__0");
					put(grammarAccess.getObservableDisjunctionAccess().getGroup_1(), "rule__ObservableDisjunction__Group_1__0");
					put(grammarAccess.getObservableImplicationAccess().getGroup(), "rule__ObservableImplication__Group__0");
					put(grammarAccess.getObservableImplicationAccess().getGroup_1(), "rule__ObservableImplication__Group_1__0");
					put(grammarAccess.getObservableConjunctionAccess().getGroup(), "rule__ObservableConjunction__Group__0");
					put(grammarAccess.getObservableConjunctionAccess().getGroup_1(), "rule__ObservableConjunction__Group_1__0");
					put(grammarAccess.getObservableNegationAccess().getGroup_0(), "rule__ObservableNegation__Group_0__0");
					put(grammarAccess.getAtomicObservableAccess().getGroup_0(), "rule__AtomicObservable__Group_0__0");
					put(grammarAccess.getPathEventAccess().getGroup(), "rule__PathEvent__Group__0");
					put(grammarAccess.getPathAccess().getGroup(), "rule__Path__Group__0");
					put(grammarAccess.getStateSubjectAccess().getGroup(), "rule__StateSubject__Group__0");
					put(grammarAccess.getValueSubjectAccess().getGroup(), "rule__ValueSubject__Group__0");
					put(grammarAccess.getTagSubjectAccess().getGroup(), "rule__TagSubject__Group__0");
					put(grammarAccess.getEventSubjectAccess().getGroup(), "rule__EventSubject__Group__0");
					put(grammarAccess.getModelAccess().getImportsAssignment_1(), "rule__Model__ImportsAssignment_1");
					put(grammarAccess.getModelAccess().getDeclarationsAssignment_2_0(), "rule__Model__DeclarationsAssignment_2_0");
					put(grammarAccess.getModelAccess().getRequirementsAssignment_2_1(), "rule__Model__RequirementsAssignment_2_1");
					put(grammarAccess.getModelAccess().getRootAssignment_3_0(), "rule__Model__RootAssignment_3_0");
					put(grammarAccess.getModelAccess().getDeclarationsAssignment_3_1_0(), "rule__Model__DeclarationsAssignment_3_1_0");
					put(grammarAccess.getModelAccess().getRequirementsAssignment_3_1_1(), "rule__Model__RequirementsAssignment_3_1_1");
					put(grammarAccess.getImportDeclarationAccess().getImportURIAssignment_1(), "rule__ImportDeclaration__ImportURIAssignment_1");
					put(grammarAccess.getTypeDeclarationAccess().getNameAssignment_1(), "rule__TypeDeclaration__NameAssignment_1");
					put(grammarAccess.getTypeDeclarationAccess().getValueAssignment_3(), "rule__TypeDeclaration__ValueAssignment_3");
					put(grammarAccess.getChannelDeclarationAccess().getNameAssignment_1(), "rule__ChannelDeclaration__NameAssignment_1");
					put(grammarAccess.getChannelDeclarationAccess().getValueAssignment_3(), "rule__ChannelDeclaration__ValueAssignment_3");
					put(grammarAccess.getChannelTypeAccess().getSizeAssignment_1_1(), "rule__ChannelType__SizeAssignment_1_1");
					put(grammarAccess.getChannelTypeAccess().getInAssignment_2_0_0_0_0(), "rule__ChannelType__InAssignment_2_0_0_0_0");
					put(grammarAccess.getChannelTypeAccess().getOutAssignment_2_0_0_0_1(), "rule__ChannelType__OutAssignment_2_0_0_0_1");
					put(grammarAccess.getChannelTypeAccess().getOutAssignment_2_0_0_1(), "rule__ChannelType__OutAssignment_2_0_0_1");
					put(grammarAccess.getChannelTypeAccess().getTypeAssignment_2_0_1_0(), "rule__ChannelType__TypeAssignment_2_0_1_0");
					put(grammarAccess.getTupleTypeAccess().getTypesAssignment_1_2(), "rule__TupleType__TypesAssignment_1_2");
					put(grammarAccess.getRangeTypeAccess().getMaximumAssignment_2_0_2(), "rule__RangeType__MaximumAssignment_2_0_2");
					put(grammarAccess.getUnionTypeAccess().getTagsAssignment_1(), "rule__UnionType__TagsAssignment_1");
					put(grammarAccess.getUnionTypeAccess().getTagsAssignment_2_1(), "rule__UnionType__TagsAssignment_2_1");
					put(grammarAccess.getUnionTagsAccess().getTagsAssignment_0(), "rule__UnionTags__TagsAssignment_0");
					put(grammarAccess.getUnionTagsAccess().getTagsAssignment_1_1(), "rule__UnionTags__TagsAssignment_1_1");
					put(grammarAccess.getUnionTagsAccess().getTypeAssignment_2_1(), "rule__UnionTags__TypeAssignment_2_1");
					put(grammarAccess.getUnionTagDeclarationAccess().getNameAssignment(), "rule__UnionTagDeclaration__NameAssignment");
					put(grammarAccess.getRecordTypeAccess().getFieldsAssignment_1(), "rule__RecordType__FieldsAssignment_1");
					put(grammarAccess.getRecordTypeAccess().getFieldsAssignment_2_1(), "rule__RecordType__FieldsAssignment_2_1");
					put(grammarAccess.getRecordFieldsAccess().getFieldsAssignment_0(), "rule__RecordFields__FieldsAssignment_0");
					put(grammarAccess.getRecordFieldsAccess().getFieldsAssignment_1_1(), "rule__RecordFields__FieldsAssignment_1_1");
					put(grammarAccess.getRecordFieldsAccess().getTypeAssignment_3(), "rule__RecordFields__TypeAssignment_3");
					put(grammarAccess.getRecordFieldDeclarationAccess().getNameAssignment(), "rule__RecordFieldDeclaration__NameAssignment");
					put(grammarAccess.getQueueTypeAccess().getSizeAssignment_1(), "rule__QueueType__SizeAssignment_1");
					put(grammarAccess.getQueueTypeAccess().getTypeAssignment_3(), "rule__QueueType__TypeAssignment_3");
					put(grammarAccess.getArrayTypeAccess().getSizeAssignment_1(), "rule__ArrayType__SizeAssignment_1");
					put(grammarAccess.getArrayTypeAccess().getTypeAssignment_3(), "rule__ArrayType__TypeAssignment_3");
					put(grammarAccess.getReferencedTypeAccess().getTypeAssignment(), "rule__ReferencedType__TypeAssignment");
					put(grammarAccess.getConstantDeclarationAccess().getNameAssignment_1(), "rule__ConstantDeclaration__NameAssignment_1");
					put(grammarAccess.getConstantDeclarationAccess().getTypeAssignment_3(), "rule__ConstantDeclaration__TypeAssignment_3");
					put(grammarAccess.getConstantDeclarationAccess().getValueAssignment_5(), "rule__ConstantDeclaration__ValueAssignment_5");
					put(grammarAccess.getProcessDeclarationAccess().getNameAssignment_1(), "rule__ProcessDeclaration__NameAssignment_1");
					put(grammarAccess.getProcessDeclarationAccess().getGenericsAssignment_2_1(), "rule__ProcessDeclaration__GenericsAssignment_2_1");
					put(grammarAccess.getProcessDeclarationAccess().getGenericsAssignment_2_2_1(), "rule__ProcessDeclaration__GenericsAssignment_2_2_1");
					put(grammarAccess.getProcessDeclarationAccess().getPortsAssignment_3_1(), "rule__ProcessDeclaration__PortsAssignment_3_1");
					put(grammarAccess.getProcessDeclarationAccess().getPortsAssignment_3_2_1(), "rule__ProcessDeclaration__PortsAssignment_3_2_1");
					put(grammarAccess.getProcessDeclarationAccess().getParametersAssignment_4_1(), "rule__ProcessDeclaration__ParametersAssignment_4_1");
					put(grammarAccess.getProcessDeclarationAccess().getParametersAssignment_4_2_1(), "rule__ProcessDeclaration__ParametersAssignment_4_2_1");
					put(grammarAccess.getProcessDeclarationAccess().getLocalPortsAssignment_6_1(), "rule__ProcessDeclaration__LocalPortsAssignment_6_1");
					put(grammarAccess.getProcessDeclarationAccess().getLocalPortsAssignment_6_2_1(), "rule__ProcessDeclaration__LocalPortsAssignment_6_2_1");
					put(grammarAccess.getProcessDeclarationAccess().getPrioritiesAssignment_7_1(), "rule__ProcessDeclaration__PrioritiesAssignment_7_1");
					put(grammarAccess.getProcessDeclarationAccess().getPrioritiesAssignment_7_2_1(), "rule__ProcessDeclaration__PrioritiesAssignment_7_2_1");
					put(grammarAccess.getProcessDeclarationAccess().getStatesAssignment_9(), "rule__ProcessDeclaration__StatesAssignment_9");
					put(grammarAccess.getProcessDeclarationAccess().getStatesAssignment_10_1(), "rule__ProcessDeclaration__StatesAssignment_10_1");
					put(grammarAccess.getProcessDeclarationAccess().getVariablesAssignment_11_1(), "rule__ProcessDeclaration__VariablesAssignment_11_1");
					put(grammarAccess.getProcessDeclarationAccess().getVariablesAssignment_11_2_1(), "rule__ProcessDeclaration__VariablesAssignment_11_2_1");
					put(grammarAccess.getProcessDeclarationAccess().getPreludeAssignment_12_1(), "rule__ProcessDeclaration__PreludeAssignment_12_1");
					put(grammarAccess.getProcessDeclarationAccess().getTransitionsAssignment_13(), "rule__ProcessDeclaration__TransitionsAssignment_13");
					put(grammarAccess.getGenericTypeDeclarationAccess().getNameAssignment(), "rule__GenericTypeDeclaration__NameAssignment");
					put(grammarAccess.getGenericConstantDeclarationAccess().getNameAssignment(), "rule__GenericConstantDeclaration__NameAssignment");
					put(grammarAccess.getGenericUnionTagDeclarationAccess().getNameAssignment(), "rule__GenericUnionTagDeclaration__NameAssignment");
					put(grammarAccess.getGenericRecordFieldDeclarationAccess().getNameAssignment(), "rule__GenericRecordFieldDeclaration__NameAssignment");
					put(grammarAccess.getStateDeclarationAccess().getNameAssignment(), "rule__StateDeclaration__NameAssignment");
					put(grammarAccess.getTransitionAccess().getOriginAssignment_1(), "rule__Transition__OriginAssignment_1");
					put(grammarAccess.getTransitionAccess().getActionAssignment_2(), "rule__Transition__ActionAssignment_2");
					put(grammarAccess.getComponentDeclarationAccess().getNameAssignment_1(), "rule__ComponentDeclaration__NameAssignment_1");
					put(grammarAccess.getComponentDeclarationAccess().getGenericsAssignment_2_1(), "rule__ComponentDeclaration__GenericsAssignment_2_1");
					put(grammarAccess.getComponentDeclarationAccess().getGenericsAssignment_2_2_1(), "rule__ComponentDeclaration__GenericsAssignment_2_2_1");
					put(grammarAccess.getComponentDeclarationAccess().getPortsAssignment_3_1(), "rule__ComponentDeclaration__PortsAssignment_3_1");
					put(grammarAccess.getComponentDeclarationAccess().getPortsAssignment_3_2_1(), "rule__ComponentDeclaration__PortsAssignment_3_2_1");
					put(grammarAccess.getComponentDeclarationAccess().getParametersAssignment_4_1(), "rule__ComponentDeclaration__ParametersAssignment_4_1");
					put(grammarAccess.getComponentDeclarationAccess().getParametersAssignment_4_2_1(), "rule__ComponentDeclaration__ParametersAssignment_4_2_1");
					put(grammarAccess.getComponentDeclarationAccess().getVariablesAssignment_6_1(), "rule__ComponentDeclaration__VariablesAssignment_6_1");
					put(grammarAccess.getComponentDeclarationAccess().getVariablesAssignment_6_2_1(), "rule__ComponentDeclaration__VariablesAssignment_6_2_1");
					put(grammarAccess.getComponentDeclarationAccess().getLocalPortsAssignment_7_1(), "rule__ComponentDeclaration__LocalPortsAssignment_7_1");
					put(grammarAccess.getComponentDeclarationAccess().getLocalPortsAssignment_7_2_1(), "rule__ComponentDeclaration__LocalPortsAssignment_7_2_1");
					put(grammarAccess.getComponentDeclarationAccess().getPrioritiesAssignment_8_1(), "rule__ComponentDeclaration__PrioritiesAssignment_8_1");
					put(grammarAccess.getComponentDeclarationAccess().getPrioritiesAssignment_8_2_1(), "rule__ComponentDeclaration__PrioritiesAssignment_8_2_1");
					put(grammarAccess.getComponentDeclarationAccess().getPreludeAssignment_9_1(), "rule__ComponentDeclaration__PreludeAssignment_9_1");
					put(grammarAccess.getComponentDeclarationAccess().getBodyAssignment_10(), "rule__ComponentDeclaration__BodyAssignment_10");
					put(grammarAccess.getPortsDeclarationAccess().getPortsAssignment_0(), "rule__PortsDeclaration__PortsAssignment_0");
					put(grammarAccess.getPortsDeclarationAccess().getPortsAssignment_1_1(), "rule__PortsDeclaration__PortsAssignment_1_1");
					put(grammarAccess.getPortsDeclarationAccess().getTypeAssignment_3(), "rule__PortsDeclaration__TypeAssignment_3");
					put(grammarAccess.getPortDeclarationAccess().getNameAssignment(), "rule__PortDeclaration__NameAssignment");
					put(grammarAccess.getLocalPortsDeclarationAccess().getPortsAssignment_0(), "rule__LocalPortsDeclaration__PortsAssignment_0");
					put(grammarAccess.getLocalPortsDeclarationAccess().getPortsAssignment_1_1(), "rule__LocalPortsDeclaration__PortsAssignment_1_1");
					put(grammarAccess.getLocalPortsDeclarationAccess().getTypeAssignment_3(), "rule__LocalPortsDeclaration__TypeAssignment_3");
					put(grammarAccess.getLocalPortsDeclarationAccess().getLeftAssignment_4_1(), "rule__LocalPortsDeclaration__LeftAssignment_4_1");
					put(grammarAccess.getLocalPortsDeclarationAccess().getRightAssignment_4_3(), "rule__LocalPortsDeclaration__RightAssignment_4_3");
					put(grammarAccess.getParametersDeclarationAccess().getParametersAssignment_0(), "rule__ParametersDeclaration__ParametersAssignment_0");
					put(grammarAccess.getParametersDeclarationAccess().getParametersAssignment_1_1(), "rule__ParametersDeclaration__ParametersAssignment_1_1");
					put(grammarAccess.getParametersDeclarationAccess().getReadAssignment_3(), "rule__ParametersDeclaration__ReadAssignment_3");
					put(grammarAccess.getParametersDeclarationAccess().getWriteAssignment_4(), "rule__ParametersDeclaration__WriteAssignment_4");
					put(grammarAccess.getParametersDeclarationAccess().getTypeAssignment_5(), "rule__ParametersDeclaration__TypeAssignment_5");
					put(grammarAccess.getParameterDeclarationAccess().getReferenceAssignment_0_0(), "rule__ParameterDeclaration__ReferenceAssignment_0_0");
					put(grammarAccess.getParameterDeclarationAccess().getArrayAssignment_0_1_0(), "rule__ParameterDeclaration__ArrayAssignment_0_1_0");
					put(grammarAccess.getParameterDeclarationAccess().getSizeAssignment_0_1_1(), "rule__ParameterDeclaration__SizeAssignment_0_1_1");
					put(grammarAccess.getParameterDeclarationAccess().getNameAssignment_1(), "rule__ParameterDeclaration__NameAssignment_1");
					put(grammarAccess.getVariablesDeclarationAccess().getVariablesAssignment_0(), "rule__VariablesDeclaration__VariablesAssignment_0");
					put(grammarAccess.getVariablesDeclarationAccess().getVariablesAssignment_1_1(), "rule__VariablesDeclaration__VariablesAssignment_1_1");
					put(grammarAccess.getVariablesDeclarationAccess().getTypeAssignment_3(), "rule__VariablesDeclaration__TypeAssignment_3");
					put(grammarAccess.getVariablesDeclarationAccess().getValueAssignment_4_1(), "rule__VariablesDeclaration__ValueAssignment_4_1");
					put(grammarAccess.getVariableDeclarationAccess().getNameAssignment(), "rule__VariableDeclaration__NameAssignment");
					put(grammarAccess.getPriorityDeclarationAccess().getGroupsAssignment_0(), "rule__PriorityDeclaration__GroupsAssignment_0");
					put(grammarAccess.getPriorityDeclarationAccess().getGroupsAssignment_1_1(), "rule__PriorityDeclaration__GroupsAssignment_1_1");
					put(grammarAccess.getPriorityGroupAccess().getPortsAssignment_0(), "rule__PriorityGroup__PortsAssignment_0");
					put(grammarAccess.getPriorityGroupAccess().getPortsAssignment_1_1(), "rule__PriorityGroup__PortsAssignment_1_1");
					put(grammarAccess.getUnlessStatementAccess().getFollowersAssignment_1_2(), "rule__UnlessStatement__FollowersAssignment_1_2");
					put(grammarAccess.getStatementChoiceAccess().getChoicesAssignment_1_2(), "rule__StatementChoice__ChoicesAssignment_1_2");
					put(grammarAccess.getStatementSequenceAccess().getStatementsAssignment_1_2(), "rule__StatementSequence__StatementsAssignment_1_2");
					put(grammarAccess.getTaggedStatementAccess().getTagAssignment_1(), "rule__TaggedStatement__TagAssignment_1");
					put(grammarAccess.getTagDeclarationAccess().getNameAssignment(), "rule__TagDeclaration__NameAssignment");
					put(grammarAccess.getPatternStatementAccess().getPatternsAssignment_1_0_2(), "rule__PatternStatement__PatternsAssignment_1_0_2");
					put(grammarAccess.getPatternStatementAccess().getPatternsAssignment_1_0_3_1(), "rule__PatternStatement__PatternsAssignment_1_0_3_1");
					put(grammarAccess.getPatternStatementAccess().getValuesAssignment_1_0_5(), "rule__PatternStatement__ValuesAssignment_1_0_5");
					put(grammarAccess.getPatternStatementAccess().getValuesAssignment_1_0_6_1(), "rule__PatternStatement__ValuesAssignment_1_0_6_1");
					put(grammarAccess.getPatternStatementAccess().getValuesAssignment_1_1_2(), "rule__PatternStatement__ValuesAssignment_1_1_2");
					put(grammarAccess.getPatternStatementAccess().getValuesAssignment_1_1_3_1(), "rule__PatternStatement__ValuesAssignment_1_1_3_1");
					put(grammarAccess.getPatternStatementAccess().getValuesAssignment_1_2_2(), "rule__PatternStatement__ValuesAssignment_1_2_2");
					put(grammarAccess.getPatternStatementAccess().getValuesAssignment_1_2_3_1(), "rule__PatternStatement__ValuesAssignment_1_2_3_1");
					put(grammarAccess.getPatternStatementAccess().getPatternsAssignment_1_3_2(), "rule__PatternStatement__PatternsAssignment_1_3_2");
					put(grammarAccess.getPatternStatementAccess().getPatternsAssignment_1_3_3_1(), "rule__PatternStatement__PatternsAssignment_1_3_3_1");
					put(grammarAccess.getPatternStatementAccess().getExpAssignment_1_3_4_1(), "rule__PatternStatement__ExpAssignment_1_3_4_1");
					put(grammarAccess.getConstantPatternAccess().getValueAssignment(), "rule__ConstantPattern__ValueAssignment");
					put(grammarAccess.getIntegerPatternAccess().getNegativeAssignment_0_1(), "rule__IntegerPattern__NegativeAssignment_0_1");
					put(grammarAccess.getIntegerPatternAccess().getValueAssignment_1(), "rule__IntegerPattern__ValueAssignment_1");
					put(grammarAccess.getIdentifierPatternAccess().getDeclarationAssignment_0_1(), "rule__IdentifierPattern__DeclarationAssignment_0_1");
					put(grammarAccess.getIdentifierPatternAccess().getParameterAssignment_0_3(), "rule__IdentifierPattern__ParameterAssignment_0_3");
					put(grammarAccess.getIdentifierPatternAccess().getDeclarationAssignment_1_0(), "rule__IdentifierPattern__DeclarationAssignment_1_0");
					put(grammarAccess.getIdentifierPatternAccess().getIndexAssignment_1_1_0_2(), "rule__IdentifierPattern__IndexAssignment_1_1_0_2");
					put(grammarAccess.getIdentifierPatternAccess().getFieldAssignment_1_1_1_2(), "rule__IdentifierPattern__FieldAssignment_1_1_1_2");
					put(grammarAccess.getConditionalStatementAccess().getConditionsAssignment_1(), "rule__ConditionalStatement__ConditionsAssignment_1");
					put(grammarAccess.getConditionalStatementAccess().getThenAssignment_3(), "rule__ConditionalStatement__ThenAssignment_3");
					put(grammarAccess.getConditionalStatementAccess().getElseifAssignment_4(), "rule__ConditionalStatement__ElseifAssignment_4");
					put(grammarAccess.getConditionalStatementAccess().getElseAssignment_5_1(), "rule__ConditionalStatement__ElseAssignment_5_1");
					put(grammarAccess.getExtendedConditionalStatementAccess().getConditionAssignment_1(), "rule__ExtendedConditionalStatement__ConditionAssignment_1");
					put(grammarAccess.getExtendedConditionalStatementAccess().getThenAssignment_3(), "rule__ExtendedConditionalStatement__ThenAssignment_3");
					put(grammarAccess.getSelectStatementAccess().getBodyAssignment_1(), "rule__SelectStatement__BodyAssignment_1");
					put(grammarAccess.getSelectStatementAccess().getIndexAssignment_2_1(), "rule__SelectStatement__IndexAssignment_2_1");
					put(grammarAccess.getSelectStatementAccess().getTypeAssignment_2_3(), "rule__SelectStatement__TypeAssignment_2_3");
					put(grammarAccess.getWhileStatementAccess().getConditionAssignment_1(), "rule__WhileStatement__ConditionAssignment_1");
					put(grammarAccess.getWhileStatementAccess().getBodyAssignment_3(), "rule__WhileStatement__BodyAssignment_3");
					put(grammarAccess.getForeachStatementAccess().getVariableAssignment_1(), "rule__ForeachStatement__VariableAssignment_1");
					put(grammarAccess.getForeachStatementAccess().getBodyAssignment_3(), "rule__ForeachStatement__BodyAssignment_3");
					put(grammarAccess.getToStatementAccess().getStateAssignment_1(), "rule__ToStatement__StateAssignment_1");
					put(grammarAccess.getCaseStatementAccess().getValueAssignment_1(), "rule__CaseStatement__ValueAssignment_1");
					put(grammarAccess.getCaseStatementAccess().getPatternAssignment_3(), "rule__CaseStatement__PatternAssignment_3");
					put(grammarAccess.getCaseStatementAccess().getBodyAssignment_5(), "rule__CaseStatement__BodyAssignment_5");
					put(grammarAccess.getCaseStatementAccess().getPatternAssignment_6_1(), "rule__CaseStatement__PatternAssignment_6_1");
					put(grammarAccess.getCaseStatementAccess().getBodyAssignment_6_3(), "rule__CaseStatement__BodyAssignment_6_3");
					put(grammarAccess.getOnStatementAccess().getConditionAssignment_1(), "rule__OnStatement__ConditionAssignment_1");
					put(grammarAccess.getWaitStatementAccess().getLeftAssignment_1(), "rule__WaitStatement__LeftAssignment_1");
					put(grammarAccess.getWaitStatementAccess().getRightAssignment_3(), "rule__WaitStatement__RightAssignment_3");
					put(grammarAccess.getCompositionAccess().getGlobalAssignment_1_1(), "rule__Composition__GlobalAssignment_1_1");
					put(grammarAccess.getCompositionAccess().getBlocksAssignment_2(), "rule__Composition__BlocksAssignment_2");
					put(grammarAccess.getCompositionAccess().getBlocksAssignment_3_1(), "rule__Composition__BlocksAssignment_3_1");
					put(grammarAccess.getCompositionAccess().getIndexAssignment_4_1(), "rule__Composition__IndexAssignment_4_1");
					put(grammarAccess.getCompositionAccess().getTypeAssignment_4_3(), "rule__Composition__TypeAssignment_4_3");
					put(grammarAccess.getBlockAccess().getCompositionAssignment_0_2_0_1(), "rule__Block__CompositionAssignment_0_2_0_1");
					put(grammarAccess.getBlockAccess().getNameAssignment_0_2_1_1_0(), "rule__Block__NameAssignment_0_2_1_1_0");
					put(grammarAccess.getBlockAccess().getInstanceAssignment_0_2_1_2(), "rule__Block__InstanceAssignment_0_2_1_2");
					put(grammarAccess.getCompositeBlockAccess().getCompositionAssignment(), "rule__CompositeBlock__CompositionAssignment");
					put(grammarAccess.getInstanceDeclarationAccess().getNameAssignment_0_0(), "rule__InstanceDeclaration__NameAssignment_0_0");
					put(grammarAccess.getInstanceDeclarationAccess().getInstanceAssignment_1(), "rule__InstanceDeclaration__InstanceAssignment_1");
					put(grammarAccess.getPortSetAccess().getAllPortsAssignment_0(), "rule__PortSet__AllPortsAssignment_0");
					put(grammarAccess.getPortSetAccess().getPortsAssignment_1_0(), "rule__PortSet__PortsAssignment_1_0");
					put(grammarAccess.getPortSetAccess().getPortsAssignment_1_1_1(), "rule__PortSet__PortsAssignment_1_1_1");
					put(grammarAccess.getComponentInstanceAccess().getComponentAssignment_0(), "rule__ComponentInstance__ComponentAssignment_0");
					put(grammarAccess.getComponentInstanceAccess().getGenericsAssignment_1_1(), "rule__ComponentInstance__GenericsAssignment_1_1");
					put(grammarAccess.getComponentInstanceAccess().getGenericsAssignment_1_2_1(), "rule__ComponentInstance__GenericsAssignment_1_2_1");
					put(grammarAccess.getComponentInstanceAccess().getPortsAssignment_2_1(), "rule__ComponentInstance__PortsAssignment_2_1");
					put(grammarAccess.getComponentInstanceAccess().getPortsAssignment_2_2_1(), "rule__ComponentInstance__PortsAssignment_2_2_1");
					put(grammarAccess.getComponentInstanceAccess().getParametersAssignment_3_1(), "rule__ComponentInstance__ParametersAssignment_3_1");
					put(grammarAccess.getComponentInstanceAccess().getParametersAssignment_3_2_1(), "rule__ComponentInstance__ParametersAssignment_3_2_1");
					put(grammarAccess.getTypeInstanceAccess().getTypeAssignment_1(), "rule__TypeInstance__TypeAssignment_1");
					put(grammarAccess.getConstantInstanceAccess().getConstAssignment_1_0(), "rule__ConstantInstance__ConstAssignment_1_0");
					put(grammarAccess.getConstantInstanceAccess().getValueAssignment_1_1(), "rule__ConstantInstance__ValueAssignment_1_1");
					put(grammarAccess.getUnionTagInstanceAccess().getConstr0Assignment_0_0(), "rule__UnionTagInstance__Constr0Assignment_0_0");
					put(grammarAccess.getUnionTagInstanceAccess().getConstr1Assignment_0_1(), "rule__UnionTagInstance__Constr1Assignment_0_1");
					put(grammarAccess.getUnionTagInstanceAccess().getHeadAssignment_1(), "rule__UnionTagInstance__HeadAssignment_1");
					put(grammarAccess.getRecordFieldInstanceAccess().getFieldAssignment_1(), "rule__RecordFieldInstance__FieldAssignment_1");
					put(grammarAccess.getQuantifiedExpressionAccess().getIndexAssignment_0_1(), "rule__QuantifiedExpression__IndexAssignment_0_1");
					put(grammarAccess.getQuantifiedExpressionAccess().getTypeAssignment_0_2_1(), "rule__QuantifiedExpression__TypeAssignment_0_2_1");
					put(grammarAccess.getQuantifiedExpressionAccess().getChildAssignment_0_4(), "rule__QuantifiedExpression__ChildAssignment_0_4");
					put(grammarAccess.getConditionalAccess().getThenAssignment_1_2(), "rule__Conditional__ThenAssignment_1_2");
					put(grammarAccess.getConditionalAccess().getElseAssignment_1_4(), "rule__Conditional__ElseAssignment_1_4");
					put(grammarAccess.getDisjunctionAccess().getRightAssignment_1_2(), "rule__Disjunction__RightAssignment_1_2");
					put(grammarAccess.getImplicationAccess().getRightAssignment_1_2(), "rule__Implication__RightAssignment_1_2");
					put(grammarAccess.getConjunctionAccess().getRightAssignment_1_2(), "rule__Conjunction__RightAssignment_1_2");
					put(grammarAccess.getComparisonAccess().getRightAssignment_1_1(), "rule__Comparison__RightAssignment_1_1");
					put(grammarAccess.getAdditionAccess().getRightAssignment_1_2(), "rule__Addition__RightAssignment_1_2");
					put(grammarAccess.getSubstractionAccess().getRightAssignment_1_2(), "rule__Substraction__RightAssignment_1_2");
					put(grammarAccess.getMultiplicationAccess().getRightAssignment_1_2(), "rule__Multiplication__RightAssignment_1_2");
					put(grammarAccess.getDivisionAccess().getRightAssignment_1_2(), "rule__Division__RightAssignment_1_2");
					put(grammarAccess.getModuloAccess().getRightAssignment_1_2(), "rule__Modulo__RightAssignment_1_2");
					put(grammarAccess.getUnaryExpressionAccess().getChildAssignment_0_1(), "rule__UnaryExpression__ChildAssignment_0_1");
					put(grammarAccess.getProjectionAccess().getFieldAssignment_1_2(), "rule__Projection__FieldAssignment_1_2");
					put(grammarAccess.getReferenceExpressionAccess().getDeclarationAssignment_1(), "rule__ReferenceExpression__DeclarationAssignment_1");
					put(grammarAccess.getIdentifierExpressionAccess().getDeclarationAssignment_0_0(), "rule__IdentifierExpression__DeclarationAssignment_0_0");
					put(grammarAccess.getIdentifierExpressionAccess().getIndexesAssignment_0_1_0_2(), "rule__IdentifierExpression__IndexesAssignment_0_1_0_2");
					put(grammarAccess.getIdentifierExpressionAccess().getIndexesAssignment_0_1_0_3_1(), "rule__IdentifierExpression__IndexesAssignment_0_1_0_3_1");
					put(grammarAccess.getIdentifierExpressionAccess().getFieldAssignment_0_1_1_2(), "rule__IdentifierExpression__FieldAssignment_0_1_1_2");
					put(grammarAccess.getIdentifierExpressionAccess().getDeclarationAssignment_1_1(), "rule__IdentifierExpression__DeclarationAssignment_1_1");
					put(grammarAccess.getIdentifierExpressionAccess().getParameterAssignment_1_3(), "rule__IdentifierExpression__ParameterAssignment_1_3");
					put(grammarAccess.getRecordExpressionAccess().getFieldsAssignment_1(), "rule__RecordExpression__FieldsAssignment_1");
					put(grammarAccess.getRecordExpressionAccess().getFieldsAssignment_2_1(), "rule__RecordExpression__FieldsAssignment_2_1");
					put(grammarAccess.getFieldExpressionAccess().getFieldAssignment_0(), "rule__FieldExpression__FieldAssignment_0");
					put(grammarAccess.getFieldExpressionAccess().getValueAssignment_2(), "rule__FieldExpression__ValueAssignment_2");
					put(grammarAccess.getArrayExpressionAccess().getValuesAssignment_2_0_1_1(), "rule__ArrayExpression__ValuesAssignment_2_0_1_1");
					put(grammarAccess.getArrayExpressionAccess().getIndexAssignment_2_1_2(), "rule__ArrayExpression__IndexAssignment_2_1_2");
					put(grammarAccess.getArrayExpressionAccess().getTypeAssignment_2_1_4(), "rule__ArrayExpression__TypeAssignment_2_1_4");
					put(grammarAccess.getQueueExpressionAccess().getValuesAssignment_2_0(), "rule__QueueExpression__ValuesAssignment_2_0");
					put(grammarAccess.getQueueExpressionAccess().getValuesAssignment_2_1_1(), "rule__QueueExpression__ValuesAssignment_2_1_1");
					put(grammarAccess.getEnqueueExpressionAccess().getElementAssignment_2(), "rule__EnqueueExpression__ElementAssignment_2");
					put(grammarAccess.getEnqueueExpressionAccess().getQueueAssignment_4(), "rule__EnqueueExpression__QueueAssignment_4");
					put(grammarAccess.getAppendExpressionAccess().getLeftAssignment_2(), "rule__AppendExpression__LeftAssignment_2");
					put(grammarAccess.getAppendExpressionAccess().getRightAssignment_4(), "rule__AppendExpression__RightAssignment_4");
					put(grammarAccess.getNaturalLiteralAccess().getValueAssignment(), "rule__NaturalLiteral__ValueAssignment");
					put(grammarAccess.getNaturalLowerBoundAccess().getLeftAssignment_0_0(), "rule__NaturalLowerBound__LeftAssignment_0_0");
					put(grammarAccess.getNaturalLowerBoundAccess().getRightAssignment_0_1(), "rule__NaturalLowerBound__RightAssignment_0_1");
					put(grammarAccess.getNaturalLowerBoundAccess().getValueAssignment_1(), "rule__NaturalLowerBound__ValueAssignment_1");
					put(grammarAccess.getNaturalUpperBoundAccess().getValueAssignment_0(), "rule__NaturalUpperBound__ValueAssignment_0");
					put(grammarAccess.getNaturalUpperBoundAccess().getLeftAssignment_1_0(), "rule__NaturalUpperBound__LeftAssignment_1_0");
					put(grammarAccess.getNaturalUpperBoundAccess().getRightAssignment_1_1(), "rule__NaturalUpperBound__RightAssignment_1_1");
					put(grammarAccess.getDecimalLowerBoundAccess().getLeftAssignment_0_0(), "rule__DecimalLowerBound__LeftAssignment_0_0");
					put(grammarAccess.getDecimalLowerBoundAccess().getRightAssignment_0_1(), "rule__DecimalLowerBound__RightAssignment_0_1");
					put(grammarAccess.getDecimalLowerBoundAccess().getValueAssignment_1(), "rule__DecimalLowerBound__ValueAssignment_1");
					put(grammarAccess.getDecimalUpperBoundAccess().getValueAssignment_0(), "rule__DecimalUpperBound__ValueAssignment_0");
					put(grammarAccess.getDecimalUpperBoundAccess().getLeftAssignment_1_0(), "rule__DecimalUpperBound__LeftAssignment_1_0");
					put(grammarAccess.getDecimalUpperBoundAccess().getRightAssignment_1_1(), "rule__DecimalUpperBound__RightAssignment_1_1");
					put(grammarAccess.getVariableLowerBoundAccess().getLeftAssignment_0_0(), "rule__VariableLowerBound__LeftAssignment_0_0");
					put(grammarAccess.getVariableLowerBoundAccess().getRightAssignment_0_1(), "rule__VariableLowerBound__RightAssignment_0_1");
					put(grammarAccess.getVariableLowerBoundAccess().getVariableAssignment_1(), "rule__VariableLowerBound__VariableAssignment_1");
					put(grammarAccess.getVariableUpperBoundAccess().getVariableAssignment_0(), "rule__VariableUpperBound__VariableAssignment_0");
					put(grammarAccess.getVariableUpperBoundAccess().getLeftAssignment_1_0(), "rule__VariableUpperBound__LeftAssignment_1_0");
					put(grammarAccess.getVariableUpperBoundAccess().getRightAssignment_1_1(), "rule__VariableUpperBound__RightAssignment_1_1");
					put(grammarAccess.getRequirementAccess().getPropertyAssignment_1(), "rule__Requirement__PropertyAssignment_1");
					put(grammarAccess.getRequirementAccess().getPositiveAssignment_2_1(), "rule__Requirement__PositiveAssignment_2_1");
					put(grammarAccess.getRequirementAccess().getNegativeAssignment_3_1(), "rule__Requirement__NegativeAssignment_3_1");
					put(grammarAccess.getPropertyDeclarationAccess().getNameAssignment_1(), "rule__PropertyDeclaration__NameAssignment_1");
					put(grammarAccess.getPropertyDeclarationAccess().getPropertyAssignment_3(), "rule__PropertyDeclaration__PropertyAssignment_3");
					put(grammarAccess.getQuantifiedPropertyAccess().getVariableAssignment_0_1(), "rule__QuantifiedProperty__VariableAssignment_0_1");
					put(grammarAccess.getQuantifiedPropertyAccess().getTypeAssignment_0_3(), "rule__QuantifiedProperty__TypeAssignment_0_3");
					put(grammarAccess.getQuantifiedPropertyAccess().getChildAssignment_0_5(), "rule__QuantifiedProperty__ChildAssignment_0_5");
					put(grammarAccess.getPropertyDisjunctionAccess().getRightAssignment_1_2(), "rule__PropertyDisjunction__RightAssignment_1_2");
					put(grammarAccess.getPropertyImplicationAccess().getRightAssignment_1_2(), "rule__PropertyImplication__RightAssignment_1_2");
					put(grammarAccess.getPropertyConjunctionAccess().getRightAssignment_1_2(), "rule__PropertyConjunction__RightAssignment_1_2");
					put(grammarAccess.getPropertyNegationAccess().getChildAssignment_0_2(), "rule__PropertyNegation__ChildAssignment_0_2");
					put(grammarAccess.getLTLPatternAccess().getPropertyAssignment_1(), "rule__LTLPattern__PropertyAssignment_1");
					put(grammarAccess.getInfinitelyOftenPatternAccess().getSubjectAssignment_1(), "rule__InfinitelyOftenPattern__SubjectAssignment_1");
					put(grammarAccess.getMortalPatternAccess().getSubjectAssignment_1(), "rule__MortalPattern__SubjectAssignment_1");
					put(grammarAccess.getPresencePatternAccess().getSubjectAssignment_1(), "rule__PresencePattern__SubjectAssignment_1");
					put(grammarAccess.getPresencePatternAccess().getLastingAssignment_2_0_1(), "rule__PresencePattern__LastingAssignment_2_0_1");
					put(grammarAccess.getPresencePatternAccess().getAfterAssignment_2_1_0_1(), "rule__PresencePattern__AfterAssignment_2_1_0_1");
					put(grammarAccess.getPresencePatternAccess().getLowerAssignment_2_1_1_0_1(), "rule__PresencePattern__LowerAssignment_2_1_1_0_1");
					put(grammarAccess.getPresencePatternAccess().getUpperAssignment_2_1_1_0_3(), "rule__PresencePattern__UpperAssignment_2_1_1_0_3");
					put(grammarAccess.getPresencePatternAccess().getUntilAssignment_2_1_1_1_1(), "rule__PresencePattern__UntilAssignment_2_1_1_1_1");
					put(grammarAccess.getPresencePatternAccess().getBeforeAssignment_2_2_0_1(), "rule__PresencePattern__BeforeAssignment_2_2_0_1");
					put(grammarAccess.getPresencePatternAccess().getLowerAssignment_2_2_1_1(), "rule__PresencePattern__LowerAssignment_2_2_1_1");
					put(grammarAccess.getPresencePatternAccess().getUpperAssignment_2_2_1_3(), "rule__PresencePattern__UpperAssignment_2_2_1_3");
					put(grammarAccess.getPresencePatternAccess().getMinAssignment_2_3_1(), "rule__PresencePattern__MinAssignment_2_3_1");
					put(grammarAccess.getPresencePatternAccess().getMaxAssignment_2_3_3(), "rule__PresencePattern__MaxAssignment_2_3_3");
					put(grammarAccess.getAbsencePatternAccess().getSubjectAssignment_1(), "rule__AbsencePattern__SubjectAssignment_1");
					put(grammarAccess.getAbsencePatternAccess().getAfterAssignment_2_0_0_1(), "rule__AbsencePattern__AfterAssignment_2_0_0_1");
					put(grammarAccess.getAbsencePatternAccess().getLowerAssignment_2_0_1_0_1(), "rule__AbsencePattern__LowerAssignment_2_0_1_0_1");
					put(grammarAccess.getAbsencePatternAccess().getUpperAssignment_2_0_1_0_3(), "rule__AbsencePattern__UpperAssignment_2_0_1_0_3");
					put(grammarAccess.getAbsencePatternAccess().getUntilAssignment_2_0_1_1_1(), "rule__AbsencePattern__UntilAssignment_2_0_1_1_1");
					put(grammarAccess.getAbsencePatternAccess().getBeforeAssignment_2_1_0_1(), "rule__AbsencePattern__BeforeAssignment_2_1_0_1");
					put(grammarAccess.getAbsencePatternAccess().getLowerAssignment_2_1_1_1(), "rule__AbsencePattern__LowerAssignment_2_1_1_1");
					put(grammarAccess.getAbsencePatternAccess().getUpperAssignment_2_1_1_3(), "rule__AbsencePattern__UpperAssignment_2_1_1_3");
					put(grammarAccess.getAbsencePatternAccess().getMinAssignment_2_2_1(), "rule__AbsencePattern__MinAssignment_2_2_1");
					put(grammarAccess.getAbsencePatternAccess().getMaxAssignment_2_2_3(), "rule__AbsencePattern__MaxAssignment_2_2_3");
					put(grammarAccess.getAlwaysPatternAccess().getSubjectAssignment_1(), "rule__AlwaysPattern__SubjectAssignment_1");
					put(grammarAccess.getAlwaysPatternAccess().getBeforeAssignment_2_0_1(), "rule__AlwaysPattern__BeforeAssignment_2_0_1");
					put(grammarAccess.getAlwaysPatternAccess().getAfterAssignment_2_1_1(), "rule__AlwaysPattern__AfterAssignment_2_1_1");
					put(grammarAccess.getAlwaysPatternAccess().getUntilAssignment_2_1_2_1(), "rule__AlwaysPattern__UntilAssignment_2_1_2_1");
					put(grammarAccess.getAlwaysPatternAccess().getMinAssignment_2_2_1(), "rule__AlwaysPattern__MinAssignment_2_2_1");
					put(grammarAccess.getAlwaysPatternAccess().getMaxAssignment_2_2_3(), "rule__AlwaysPattern__MaxAssignment_2_2_3");
					put(grammarAccess.getSequencePatternAccess().getFollowerAssignment_1_0_2(), "rule__SequencePattern__FollowerAssignment_1_0_2");
					put(grammarAccess.getSequencePatternAccess().getBeforeAssignment_1_0_3_0_1(), "rule__SequencePattern__BeforeAssignment_1_0_3_0_1");
					put(grammarAccess.getSequencePatternAccess().getLowerAssignment_1_0_3_0_2_1(), "rule__SequencePattern__LowerAssignment_1_0_3_0_2_1");
					put(grammarAccess.getSequencePatternAccess().getUpperAssignment_1_0_3_0_2_3(), "rule__SequencePattern__UpperAssignment_1_0_3_0_2_3");
					put(grammarAccess.getSequencePatternAccess().getLowerAssignment_1_0_3_1_1(), "rule__SequencePattern__LowerAssignment_1_0_3_1_1");
					put(grammarAccess.getSequencePatternAccess().getUpperAssignment_1_0_3_1_3(), "rule__SequencePattern__UpperAssignment_1_0_3_1_3");
					put(grammarAccess.getSequencePatternAccess().getAfterAssignment_1_0_3_2_1(), "rule__SequencePattern__AfterAssignment_1_0_3_2_1");
					put(grammarAccess.getSequencePatternAccess().getLowerAssignment_1_0_3_2_2_0_1(), "rule__SequencePattern__LowerAssignment_1_0_3_2_2_0_1");
					put(grammarAccess.getSequencePatternAccess().getUpperAssignment_1_0_3_2_2_0_3(), "rule__SequencePattern__UpperAssignment_1_0_3_2_2_0_3");
					put(grammarAccess.getSequencePatternAccess().getUntilAssignment_1_0_3_2_2_1_1(), "rule__SequencePattern__UntilAssignment_1_0_3_2_2_1_1");
					put(grammarAccess.getSequencePatternAccess().getMinAssignment_1_0_3_3_1(), "rule__SequencePattern__MinAssignment_1_0_3_3_1");
					put(grammarAccess.getSequencePatternAccess().getMaxAssignment_1_0_3_3_3(), "rule__SequencePattern__MaxAssignment_1_0_3_3_3");
					put(grammarAccess.getSequencePatternAccess().getFollowerAssignment_1_1_2(), "rule__SequencePattern__FollowerAssignment_1_1_2");
					put(grammarAccess.getSequencePatternAccess().getBeforeAssignment_1_1_3_0_1(), "rule__SequencePattern__BeforeAssignment_1_1_3_0_1");
					put(grammarAccess.getSequencePatternAccess().getAfterAssignment_1_1_3_1_1(), "rule__SequencePattern__AfterAssignment_1_1_3_1_1");
					put(grammarAccess.getSequencePatternAccess().getUntilAssignment_1_1_3_1_2_1(), "rule__SequencePattern__UntilAssignment_1_1_3_1_2_1");
					put(grammarAccess.getSequencePatternAccess().getMinAssignment_1_1_3_2_1(), "rule__SequencePattern__MinAssignment_1_1_3_2_1");
					put(grammarAccess.getSequencePatternAccess().getMaxAssignment_1_1_3_2_3(), "rule__SequencePattern__MaxAssignment_1_1_3_2_3");
					put(grammarAccess.getLTLQuantifiedAccess().getIndexAssignment_0_1(), "rule__LTLQuantified__IndexAssignment_0_1");
					put(grammarAccess.getLTLQuantifiedAccess().getTypeAssignment_0_3(), "rule__LTLQuantified__TypeAssignment_0_3");
					put(grammarAccess.getLTLQuantifiedAccess().getChildAssignment_0_5(), "rule__LTLQuantified__ChildAssignment_0_5");
					put(grammarAccess.getLTLDisjunctionAccess().getRightAssignment_1_2(), "rule__LTLDisjunction__RightAssignment_1_2");
					put(grammarAccess.getLTLImplicationAccess().getRightAssignment_1_2(), "rule__LTLImplication__RightAssignment_1_2");
					put(grammarAccess.getLTLConjunctionAccess().getRightAssignment_1_2(), "rule__LTLConjunction__RightAssignment_1_2");
					put(grammarAccess.getLTLBinaryAccess().getRightAssignment_1_0_2(), "rule__LTLBinary__RightAssignment_1_0_2");
					put(grammarAccess.getLTLBinaryAccess().getRightAssignment_1_1_2(), "rule__LTLBinary__RightAssignment_1_1_2");
					put(grammarAccess.getLTLUnaryAccess().getOperandAssignment_0_1(), "rule__LTLUnary__OperandAssignment_0_1");
					put(grammarAccess.getAtomicLTLAccess().getVariableAssignment_0_1(), "rule__AtomicLTL__VariableAssignment_0_1");
					put(grammarAccess.getEnterStateEventAccess().getSubjectAssignment_1(), "rule__EnterStateEvent__SubjectAssignment_1");
					put(grammarAccess.getLeaveStateEventAccess().getSubjectAssignment_1(), "rule__LeaveStateEvent__SubjectAssignment_1");
					put(grammarAccess.getObservableDisjunctionAccess().getRightAssignment_1_2(), "rule__ObservableDisjunction__RightAssignment_1_2");
					put(grammarAccess.getObservableImplicationAccess().getRightAssignment_1_2(), "rule__ObservableImplication__RightAssignment_1_2");
					put(grammarAccess.getObservableConjunctionAccess().getRightAssignment_1_2(), "rule__ObservableConjunction__RightAssignment_1_2");
					put(grammarAccess.getObservableNegationAccess().getChildAssignment_0_2(), "rule__ObservableNegation__ChildAssignment_0_2");
					put(grammarAccess.getPathEventAccess().getPathAssignment_0(), "rule__PathEvent__PathAssignment_0");
					put(grammarAccess.getPathEventAccess().getItemAssignment_1(), "rule__PathEvent__ItemAssignment_1");
					put(grammarAccess.getPathAccess().getItemsAssignment_0(), "rule__Path__ItemsAssignment_0");
					put(grammarAccess.getNaturalItemAccess().getValueAssignment(), "rule__NaturalItem__ValueAssignment");
					put(grammarAccess.getNamedItemAccess().getDeclarationAssignment(), "rule__NamedItem__DeclarationAssignment");
					put(grammarAccess.getStateSubjectAccess().getStateAssignment_1(), "rule__StateSubject__StateAssignment_1");
					put(grammarAccess.getValueSubjectAccess().getValueAssignment_1(), "rule__ValueSubject__ValueAssignment_1");
					put(grammarAccess.getTagSubjectAccess().getTagAssignment_1(), "rule__TagSubject__TagAssignment_1");
					put(grammarAccess.getEventSubjectAccess().getEventAssignment_1(), "rule__EventSubject__EventAssignment_1");
				}
			};
		}
		return nameMappings.get(element);
	}
	
	@Override
	protected Collection<FollowElement> getFollowElements(AbstractInternalContentAssistParser parser) {
		try {
			fr.irit.fiacre.etoile.xtext.ui.contentassist.antlr.internal.InternalFiacreParser typedParser = (fr.irit.fiacre.etoile.xtext.ui.contentassist.antlr.internal.InternalFiacreParser) parser;
			typedParser.entryRuleModel();
			return typedParser.getFollowElements();
		} catch(RecognitionException ex) {
			throw new RuntimeException(ex);
		}		
	}
	
	@Override
	protected String[] getInitialHiddenTokens() {
		return new String[] { "RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT" };
	}
	
	public FiacreGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}
	
	public void setGrammarAccess(FiacreGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
